View Issue Details

IDProjectCategoryView StatusLast Update
0002308SOGoWeb Calendarpublic2017-01-09 15:49
Reporterheupink Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0.5 
Fixed in Version3.2.5 
Summary0002308: imported appointments (file.ics) do not show up on Kontact / Korganizer using caldav
Description
  • Importing a file.ics (with 1500 appointments, generated from gmail calendar) using the SOGo web access results in mysql c_names WITHOUT an .ics extension, which do NOT show up in Kontact and Korganizer.

  • Importing file.ics via thunderbird/lightning results in mysql c_names WITH an .ics extension, which DO show up in Kontact and Korganiser.

Since manually creating appointments in a calendar also results in c_names WITH an .ics extension, I'm guessing the web access import behaviour is not good?

Additional Information

Both Kontact and Korganizer are using libkcal 4.3 (judging from the 'raw appointments' they create in the SOGo calendar).

My Nokia N9 Meego device also uses libkcal 4.3, and shows the same symptoms: appointments not showing up. I expected the solution above also to solve the issue on my phone, but unfortunately, imported appointments still don't show up on my N9. :-(

TagsCalDAV

Activities

2013-05-03 16:15

 

basic-enkele.ics (1,545 bytes)   
BEGIN:VCALENDAR
PRODID:-//Google Inc//Google Calendar 70.9054//EN
VERSION:2.0
CALSCALE:GREGORIAN
METHOD:PUBLISH
X-WR-CALNAME:gezamelijkezaken@group.calendar.google.com
X-WR-TIMEZONE:Europe/Amsterdam
X-WR-CALDESC:Gezamelijke zaken

BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
X-LIC-LOCATION:Europe/Amsterdam
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:FREQ=YEARLY;BYMONTH=3;BYDAY=-1SU
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:FREQ=YEARLY;BYMONTH=10;BYDAY=-1SU
END:STANDARD
END:VTIMEZONE

BEGIN:VEVENT
DTSTART;VALUE=DATE:20130430
DTEND;VALUE=DATE:20130501
DTSTAMP:20130428T162531Z
UID:63admj1f0faa5m84nr88ego35s@google.com
CREATED:20130428T064556Z
DESCRIPTION:
LAST-MODIFIED:20130428T064556Z
LOCATION:
SEQUENCE:0
STATUS:CONFIRMED
SUMMARY:Koninginnendag
TRANSP:OPAQUE
END:VEVENT

BEGIN:VEVENT
DTSTART;VALUE=DATE:20130928
DTEND;VALUE=DATE:20130929
DTSTAMP:20130428T162531Z
UID:fos0k7s8jsrt07u3qkc6pkah50@google.com
CREATED:20130427T122251Z
DESCRIPTION:
LAST-MODIFIED:20130427T122251Z
LOCATION:
SEQUENCE:0
STATUS:CONFIRMED
SUMMARY:Laat
TRANSP:TRANSPARENT
END:VEVENT
BEGIN:VEVENT
DTSTART;VALUE=DATE:20130925
DTEND;VALUE=DATE:20130926
DTSTAMP:20130428T162531Z
UID:s0vjbbpmjdmv3vav7hprnomkf4@google.com
CREATED:20130427T122240Z
DESCRIPTION:
LAST-MODIFIED:20130427T122240Z
LOCATION:
SEQUENCE:0
STATUS:CONFIRMED
SUMMARY:Vroeg 1/2
TRANSP:TRANSPARENT
END:VEVENT

END:VCALENDAR
basic-enkele.ics (1,545 bytes)   
heupink

heupink

2013-05-07 11:30

reporter   ~0005568

I also tried using the online demo, to make sure that this issue is not specific to my installation. I observe the same.

Link to an imported file.ics appointment: (sogo1/sogo1)
http://sogo-demo.inverse.ca/SOGo/so/sogo1/Calendar/20AA-51891580-D-2DC8DDC0/20A9-51891880-21-40460700/raw (note: NO .ics in de link)
Contents:
BEGIN:VCALENDAR
BEGIN:VEVENT
DTSTART;VALUE=DATE:20130430
DTEND;VALUE=DATE:20130501
DTSTAMP:20130428T162531Z
UID:20A9-51891880-21-40460700
CREATED:20130428T064556Z
LAST-MODIFIED:20130428T064556Z
SEQUENCE:0
STATUS:CONFIRMED
SUMMARY:Koninginnendag
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

Link to a manually created appointment:
http://sogo-demo.inverse.ca/SOGo/so/sogo1/Calendar/20AA-51891580-D-2DC8DDC0/20AC-51891A80-B-9721020.ics/raw (note: WITH .ics in the link)
Contents:
BEGIN:VCALENDAR
PRODID:-//Inverse inc./SOGo 2.0.5//EN
VERSION:2.0
BEGIN:VEVENT
UID:20AC-51891A80-B-9721020
SUMMARY:Nouvel événement
CLASS:PUBLIC
CREATED:20130507T151444Z
DTSTAMP:20130507T151444Z
LAST-MODIFIED:20130507T151444Z
DTSTART;VALUE=DATE:20130430
DTEND;VALUE=DATE:20130501
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

The imported appointment does NOT show up on Kontact / Korganiser (and my Nokia N9 meego)

The manually created appointment DOES show up on Kontact / Korganiser (and the Nokia N9)

Related Changesets

sogo: master 457fccd5

2016-12-21 11:43:08

ludovic

Details Diff
(fix) append .ics extension if not present when importing events (fixes 0002308) Affected Issues
0002308
mod - SoObjects/Appointments/SOGoAppointmentFolder.m Diff File

sogo: v2 3c8412e9

2016-12-21 11:43:08

ludovic

Details Diff
(fix) append .ics extension if not present when importing events (fixes 0002308) Affected Issues
0002308
mod - SoObjects/Appointments/SOGoAppointmentFolder.m Diff File

sogo: maint d53f477c

2016-12-21 11:43:08

ludovic


Committer: francis Details Diff
(fix) append .ics extension if not present when importing events (fixes 0002308) Affected Issues
0002308
mod - SoObjects/Appointments/SOGoAppointmentFolder.m Diff File

Issue History

Date Modified Username Field Change
2013-05-03 16:15 heupink New Issue
2013-05-03 16:15 heupink File Added: basic-enkele.ics
2013-05-07 11:30 heupink Note Added: 0005568
2013-05-07 12:26 heupink Tag Attached: CalDAV
2016-12-21 11:44 ludovic Changeset attached => sogo master 457fccd5
2016-12-21 11:44 ludovic Assigned To => ludovic
2016-12-21 11:44 ludovic Resolution open => fixed
2016-12-21 11:44 ludovic Changeset attached => sogo v2 3c8412e9
2016-12-21 11:46 ludovic Status new => resolved
2016-12-21 11:46 ludovic Fixed in Version => 3.2.5
2017-01-09 15:49 francis Changeset attached => sogo maint d53f477c